Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.ui
Class NewWindowAction

    java.lang.Object
      javax.swing.AbstractAction
          com.sshtools.common.ui.StandardAction
              com.sshtools.common.ui.NewWindowAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

public class NewWindowAction
extends StandardAction

DOCUMENT ME!

See Also:
  Serialized Form

Field Summary
`protected org.apache.commons.logging.Log` | `log` DOCUMENT ME!

Fields inherited from class com.sshtools.common.ui.StandardAction
`CONTEXT_MENU_GROUP, CONTEXT_MENU_WEIGHT, IMAGE_DIR, LARGE_ICON, MENU_ITEM_GROUP, MENU_ITEM_WEIGHT, MENU_NAME, ON_CONTEXT_MENU, ON_MENUBAR, ON_TOOLBAR, TOOLBAR_GROUP, TOOLBAR_WEIGHT`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`NewWindowAction(SshToolsApplication application)` Creates a new NewWindowAction object.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` DOCUMENT ME!

Methods inherited from class com.sshtools.common.ui.StandardAction
`addActionListener, getActionCommand, getIcon, getLongDescription, getName, getShortDescription, getSmallIcon, removeActionListener`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.commons.logging.Log log

  DOCUMENT ME!

Constructor Detail

### NewWindowAction

    public NewWindowAction(SshToolsApplication application)

  Creates a new NewWindowAction object.

Parameters:
  `application` - DOCUMENT ME!

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  DOCUMENT ME!

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `StandardAction`
  Parameters:
    `evt` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD